# Uses of Class
org.eclipse.birt.chart.computation.BoundingBox

Packages that use BoundingBox
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.

## Uses of BoundingBox in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return BoundingBox
Modifier and Type
Method
Description
`BoundingBox`
BoundingBox.`clone()`
`BoundingBox`
BIRTChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`BoundingBox`
IChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
Compute the bounding box ( location and size ) of a label.
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping, Double fontHeight)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`BoundingBox`
BIRTChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
`BoundingBox`
IChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`static final BoundingBox`
Methods.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`BoundingBox`
LabelLimiter.`getBounding(BoundingBox bb)`
Returns a bounding box using maxWidth and maxHeight
Methods in org.eclipse.birt.chart.computation with parameters of type BoundingBox
Modifier and Type
Method
Description
`static final Location`
Methods.`computeRotatedTopPoint(IDisplayServer xs, BoundingBox bbox, Label la, double fullHeight)`
`BoundingBox`
LabelLimiter.`getBounding(BoundingBox bb)`
Returns a bounding box using maxWidth and maxHeight
Constructors in org.eclipse.birt.chart.computation with parameters of type BoundingBox
Modifier
Constructor
Description
``
`Rectangle(BoundingBox bb)`